=== debian/control ===
Source: nvidia-settings
Section: devel
Priority: optional
Maintainer: Shengyao Xue <shengyao.xue@canonical.com>
Build-Depends: debhelper (>= 7.0.50~) 

Package: nvidia-settings
Architecture: all
Depends:
Description: for retire nvidia-settings
