## nvidia-settings 1.0+20060516

=== Makefile ===
--- 
+++ 
@@ -33,43 +33,53 @@
 # PKG_CONFIG = pkg-config
 # X11R6_DIR = /usr/X11R6
 
+# default build target
+
+default: all
+
 
 # default definitions; can be overwritten by users
 
 SHELL = /bin/sh
-INSTALL = install -m 755
+INSTALL = install
 BUILD_OS := $(shell uname)
+BUILD_ARCH := $(shell uname -m)
+M4 := m4
 
 ifndef CC
   CC = gcc
 endif
 
-ifndef CFLAGS
-  CFLAGS = -Wall -fpedantic
-endif
-
 ifndef PKG_CONFIG
   PKG_CONFIG = pkg-config
 endif
 
 ifndef X11R6_LIB_DIR
-  X11R6_LIB_DIR = /usr/X11R6/lib
+  ifeq ($(BUILD_OS)-$(BUILD_ARCH),Linux-x86_64)
+    X11R6_LIB_DIR = /usr/X11R6/lib64
+  else
+    X11R6_LIB_DIR = /usr/X11R6/lib
+  endif
 endif
 
 ifndef X11R6_INC_DIR
   X11R6_INC_DIR = /usr/X11R6/include
 endif
 
+# define local variables
+
+LOCAL_CFLAGS = -Wall
+
 # the NVDEBUG environment variable controls whether we build debug or retail
 
 ifeq ($(NVDEBUG),1)
   STRIP = true
-  CFLAGS += -g -DDEBUG
+  LOCAL_CFLAGS += -g -DDEBUG
 else
   ifndef STRIP
     STRIP = strip
   endif
-  CFLAGS += -O
+  LOCAL_CFLAGS += -O -DNDEBUG
 endif
 
 # default prefix
@@ -79,21 +89,36 @@
   prefix = /usr/local
 endif
 
+# default echo within SunOS sh does not have -n option. Use /usr/ucb/echo instead.
+# Solaris install has a different argument syntax 
+ifeq ($(BUILD_OS),SunOS)
+ECHO=/usr/ucb/echo
+define INSTALL_RULE
+	$(INSTALL) -m 755 -f $(bindir) $(NVIDIA_SETTINGS)
+	mkdir -p $(mandir)
+	$(INSTALL) -m 644 -f $(mandir) doc/$(MANPAGE)
+endef
+LD_RUN_FLAG=-R/usr/X11R6/lib
+else
+ECHO=echo
+define INSTALL_RULE
+	$(INSTALL) -m 755 $(NVIDIA_SETTINGS) $(bindir)/$(NVIDIA_SETTINGS)
+	mkdir -p $(mandir)
+	$(INSTALL) -m 644 doc/$(MANPAGE) $(mandir)
+	gzip -9f $(mandir)/$(MANPAGE)
+endef
+endif
+
 exec_prefix = $(prefix)
 bindir = $(exec_prefix)/bin
+mandir = $(exec_prefix)/share/man/man1
 
 X11R6_CFLAGS = -I $(X11R6_INC_DIR)
 
 GTK_CFLAGS := $(shell $(PKG_CONFIG) --cflags gtk+-2.0)
 GTK_LDFLAGS := $(shell $(PKG_CONFIG) --libs gtk+-2.0)
 
-ifeq ($(BUILD_OS),SunOS)
-LIBXV = -lXv
-else
-LIBXV = -Wl,-Bstatic -lXv -Wl,-Bdynamic
-endif
-
-X11R6_LIBS := -L $(X11R6_LIB_DIR) -Wl,-Bstatic -lXxf86vm -Wl,-Bdynamic $(LIBXV) -lX11 -lXext
+X11R6_LIBS := -L $(X11R6_LIB_DIR) -Wl,-Bstatic -lXxf86vm -Wl,-Bdynamic -lX11 -lXext
 
 XNVCTRL_LIB := src/libXNVCtrl/libXNVCtrl.a
 
@@ -112,8 +137,8 @@
 
 INC_FLAGS := $(addprefix -I , $(RELATIVE_SRCDIRS))
 
-ALL_CFLAGS = $(CFLAGS) $(X11R6_CFLAGS) $(GTK_CFLAGS) $(INC_FLAGS)
-ALL_LDFLAGS = $(LDFLAGS) $(GTK_LDFLAGS) $(X11R6_LIBS)
+ALL_CFLAGS = $(CFLAGS) $(LOCAL_CFLAGS) $(X11R6_CFLAGS) $(GTK_CFLAGS) $(INC_FLAGS)
+ALL_LDFLAGS = $(LD_RUN_FLAG) $(LDFLAGS) $(GTK_LDFLAGS) $(X11R6_LIBS)
 
 CPPFLAGS = $(ALL_CFLAGS)
 
@@ -127,9 +152,20 @@
 
 STAMP_C = g_stamp.c
 
+MANPAGE = nvidia-settings.1
+
 # Define the files in the SAMPLES directory
 
-SAMPLES = Makefile README nv-control-dvc.c nv-control-info.c
+SAMPLES = \
+	Makefile \
+	nv-control-dpy.c \
+	nv-control-dvc.c \
+	nv-control-events.c \
+	nv-control-info.c \
+	nv-control-targets.c \
+	nv-ddcci-client.c \
+	nv-control-framelock.c \
+	README
 
 # initialize SRC and EXTRA_DIST, then include each of the subdirectory
 # Makefiles so that they can append to SRC and EXTRA_DIST
@@ -159,22 +195,13 @@
 OBJS := $(patsubst %.c,$(OBJS_DIR)/%.o,$(ALL_SRC))
 DEPS := $(patsubst %.c,$(DEPS_DIR)/%.d,$(SRC))
 
-# default echo within SunOS sh does not have -n option. Use /usr/ucb/echo instead.
-ifeq ($(BUILD_OS),SunOS)
-ECHO=/usr/ucb/echo
-else
-ECHO=echo
-endif
-
 # and now, the build rules:
 
-default: all
-
-all: $(NVIDIA_SETTINGS)
-
-install: $(NVIDIA_SETTINGS)
-	$(STRIP) $<
-	$(INSTALL) $< $(bindir)/$<
+all: $(NVIDIA_SETTINGS) doc/$(MANPAGE)
+
+install: all
+	$(STRIP) $(NVIDIA_SETTINGS)
+	$(INSTALL_RULE)
 
 $(OBJS_DIR)/%.o: %.c
 	@ mkdir -p $(OBJS_DIR)
