## nvidia-settings 1.0+20080304

=== Makefile ===
--- 
+++ 
@@ -54,16 +54,16 @@
   PKG_CONFIG = pkg-config
 endif
 
-ifndef X11R6_LIB_DIR
+ifndef X11_LIB_DIRS
   ifeq ($(BUILD_OS)-$(BUILD_ARCH),Linux-x86_64)
-    X11R6_LIB_DIR = /usr/X11R6/lib64
+    X11_LIB_DIRS = -L/usr/X11R6/lib64
   else
-    X11R6_LIB_DIR = /usr/X11R6/lib
+    X11_LIB_DIRS = -L/usr/X11R6/lib
   endif
 endif
 
-ifndef X11R6_INC_DIR
-  X11R6_INC_DIR = /usr/X11R6/include
+ifndef X11_INC_DIRS
+  X11_INC_DIRS = -I/usr/X11R6/include
 endif
 
 # define local variables
@@ -113,14 +113,17 @@
 bindir = $(exec_prefix)/bin
 mandir = $(exec_prefix)/share/man/man1
 
-X11R6_CFLAGS = -I $(X11R6_INC_DIR)
+X11_CFLAGS = $(X11_INC_DIRS)
 
 GTK_CFLAGS := $(shell $(PKG_CONFIG) --cflags gtk+-2.0)
 GTK_LDFLAGS := $(shell $(PKG_CONFIG) --libs gtk+-2.0)
 
-X11R6_LIBS := -L $(X11R6_LIB_DIR) -Wl,-Bstatic -lXxf86vm -Wl,-Bdynamic -lX11 -lXext
+X11_LIBS := $(X11_LIB_DIRS) -Wl,-Bstatic -lXxf86vm -Wl,-Bdynamic -lX11 -lXext
 
 XNVCTRL_LIB := src/libXNVCtrl/libXNVCtrl.a
+
+XF86PARSER_LIB := src/XF86Config-parser/libXF86Config-parser.a
+XF86PARSER_DIR := src/XF86Config-parser
 
 CURDIR := $(shell pwd)
 
@@ -131,14 +134,17 @@
 	src/xpm_data \
 	src/gtk+-2.x \
 	src/libXNVCtrl \
-	src/libXNVCtrlAttributes
+	src/libXNVCtrlAttributes \
+	src/XF86Config-parser \
+	samples
+
 
 SRCDIRS := $(addprefix $(CURDIR)/, $(RELATIVE_SRCDIRS))
 
 INC_FLAGS := $(addprefix -I , $(RELATIVE_SRCDIRS))
 
-ALL_CFLAGS = $(CFLAGS) $(LOCAL_CFLAGS) $(X11R6_CFLAGS) $(GTK_CFLAGS) $(INC_FLAGS)
-ALL_LDFLAGS = $(LD_RUN_FLAG) $(LDFLAGS) $(GTK_LDFLAGS) $(X11R6_LIBS)
+ALL_CFLAGS = $(CFLAGS) $(LOCAL_CFLAGS) $(X11_CFLAGS) $(GTK_CFLAGS) $(INC_FLAGS)
+ALL_LDFLAGS = $(LD_RUN_FLAG) $(LDFLAGS) $(GTK_LDFLAGS) $(X11_LIBS)
 
 CPPFLAGS = $(ALL_CFLAGS)
 
@@ -154,18 +160,6 @@
 
 MANPAGE = nvidia-settings.1
 
-# Define the files in the SAMPLES directory
-
-SAMPLES = \
-	Makefile \
-	nv-control-dpy.c \
-	nv-control-dvc.c \
-	nv-control-events.c \
-	nv-control-info.c \
-	nv-control-targets.c \
-	nv-ddcci-client.c \
-	nv-control-framelock.c \
-	README
 
 # initialize SRC and EXTRA_DIST, then include each of the subdirectory
 # Makefiles so that they can append to SRC and EXTRA_DIST
@@ -206,12 +200,21 @@
 $(OBJS_DIR)/%.o: %.c
 	@ mkdir -p $(OBJS_DIR)
 	$(CC) -c $(ALL_CFLAGS) $< -o $@
+
+# to generate the dependency files, use the compiler's "-MM" option to
+# generate output of the form "foo.o : foo.c foo.h"; then, use sed to
+# replace the target with "$(OBJS_DIR)/foo.o $(DEPS_DIR)/foo.d", and
+# wrap the prerequisites with $(wildcard ...); the wildcard function
+# serves as an existence filter, so that files that are later removed
+# from the build do not cause stale references.
 
 $(DEPS_DIR)/%.d: %.c
 	@ mkdir -p $(DEPS_DIR)
 	@ set -e; b=`basename $* .c` ; \
 	$(CC) -MM $(CPPFLAGS) $< \
-	| sed "s%\\($$b\\)\\.o[ :]*%$(OBJS_DIR)/\\1.o $(DEPS_DIR)/\\1.d : %g" > $@; \
+	| sed \
+	-e "s%\\($$b\\)\\.o[ :]*%$(OBJS_DIR)/\\1.o $(DEPS_DIR)/\\1.d : $$\(wildcard %g" \
+	-e "s,\([^\\]\)$$,\1)," > $@; \
 	[ -s $@ ] || rm -f $@
 
 $(STAMP_C): $(filter-out $(OBJS_DIR)/$(STAMP_C:.c=.o), $(OBJS))
@@ -228,42 +231,32 @@
 	$(CC) $(CPPFLAGS) -E -dD $< | sed -e 's/^ $$//' > $@
 	indent -kr -nbbo -l96 -sob $@
 
-
-$(NVIDIA_SETTINGS): $(OBJS) $(XNVCTRL_LIB)
-	$(CC) $(OBJS) $(ALL_CFLAGS) $(ALL_LDFLAGS) $(XNVCTRL_LIB) -o $@
-
-.PHONY: dist clean clobber
+$(XF86PARSER_LIB):
+	$(MAKE) NV_CFLAGS='$(NV_CFLAGS)' -C $(XF86PARSER_DIR)
+
+$(NVIDIA_SETTINGS): $(OBJS) $(XNVCTRL_LIB) $(XF86PARSER_LIB)
+	$(CC) $(OBJS) $(ALL_CFLAGS) $(ALL_LDFLAGS) $(XNVCTRL_LIB) $(XF86PARSER_LIB) -o $@
+
+.PHONY: $(XF86PARSER_LIB) dist clean clobber
 
 dist:
 	@ if [ -d $(NVIDIA_SETTINGS_DISTDIR) ]; then \
 		chmod 755 $(NVIDIA_SETTINGS_DISTDIR); \
 	fi
-	@ if [ -f $(NVIDIA_SETTINGS_DISTDIR).tar.gz ]; \
-		then chmod 644 $(NVIDIA_SETTINGS_DISTDIR).tar.gz; \
+	@ if [ -f $(NVIDIA_SETTINGS_DISTDIR).tar.gz ]; then \
+		chmod 644 $(NVIDIA_SETTINGS_DISTDIR).tar.gz; \
 	fi
 	rm -rf $(NVIDIA_SETTINGS_DISTDIR) $(NVIDIA_SETTINGS_DISTDIR).tar.gz
 	mkdir -p $(NVIDIA_SETTINGS_DISTDIR_DIRS)
-	@ for i in $(SRC); do \
-		b=`find . -name $$i`; \
-		if [ $$b ]; then \
-			cp $$b $(NVIDIA_SETTINGS_DISTDIR)/$$b ; \
-			chmod 644 $(NVIDIA_SETTINGS_DISTDIR)/$$b ; \
-		fi ; \
-	done
-	@ for i in $(EXTRA_DIST); do \
-		b=`find . -name $$i`; \
-		if [ $$b ]; then \
-			cp $$b $(NVIDIA_SETTINGS_DISTDIR)/$$b ; \
-			chmod 644 $(NVIDIA_SETTINGS_DISTDIR)/$$b ; \
-		fi ; \
-	done
-	mkdir -p $(NVIDIA_SETTINGS_DISTDIR)/samples
-	@ for i in $(SAMPLES); do \
-		cp samples/$$i $(NVIDIA_SETTINGS_DISTDIR)/samples/ ; \
-	done
-	@ for i in COPYING Makefile doc/Makefile.inc `find src -name Makefile.inc`; do \
-		cp $$i $(NVIDIA_SETTINGS_DISTDIR)/$$i ; \
-		chmod 644 $(NVIDIA_SETTINGS_DISTDIR)/$$i ; \
+	@ for inc_dir in $(RELATIVE_SRCDIRS) .; do \
+		EXTRA_DIST=; \
+		SRC=; \
+		mkdir -p $(NVIDIA_SETTINGS_DISTDIR)/$$inc_dir; \
+		for inc_file in `$(MAKE) --makefile $$inc_dir/Makefile.inc dist_list`; do \
+			file="$$inc_dir/$$inc_file"; \
+			cp $$file $(NVIDIA_SETTINGS_DISTDIR)/$$file; \
+			chmod 644 $(NVIDIA_SETTINGS_DISTDIR)/$$file; \
+		done; \
 	done
 	tar czf $(NVIDIA_SETTINGS_DISTDIR).tar.gz $(NVIDIA_SETTINGS_DISTDIR)
 	rm -rf $(NVIDIA_SETTINGS_DISTDIR)
