=== samples/Makefile ===
--- 
+++ 
@@ -34,12 +34,15 @@
 # X11R6_INC_DIR = /usr/X11R6/include
 # X11R6_LIB_DIR = /usr/X11R6/lib/
 
+BUILD_OS := $(shell uname)
+BUILD_ARCH := $(shell uname -m)
+
 ifndef CC
   CC = gcc
 endif
 
 ifndef CFLAGS
-  CFLAGS = -Wall -fpedantic
+  CFLAGS = -Wall 
 endif
 
 ifndef LDFLAGS
@@ -51,7 +54,11 @@
 endif
 
 ifndef X11R6_LIB_DIR
-  X11R6_LIB_DIR = /usr/X11R6/lib/
+  ifeq ($(BUILD_OS)-$(BUILD_ARCH),Linux-x86_64)
+    X11R6_LIB_DIR = /usr/X11R6/lib64
+  else
+    X11R6_LIB_DIR = /usr/X11R6/lib
+  endif
 endif
 
 LIBXNVCTRL_DIR = ../src/libXNVCtrl
@@ -61,7 +68,14 @@
 ALL_LDFLAGS = $(LDFLAGS) -L $(LIBXNVCTRL_DIR) -L $(X11R6_LIB_DIR) \
 	-lXNVCtrl -lXext -lX11
 
-SAMPLES = nv-control-info nv-control-dvc nv-control-events
+SAMPLES = \
+	nv-control-info \
+	nv-control-dvc \
+	nv-control-events \
+	nv-ddcci-client \
+	nv-control-dpy \
+	nv-control-targets \
+	nv-control-framelock
 
 all: $(SAMPLES)
