## nvidia-settings 180.25

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,7 @@
+DESTDIR=
+ROOT=$(DESTDIR)
+X11R6_LIB_DIR = /usr/lib
+
 #
 # nvidia-settings: A tool for configuring the NVIDIA X driver on Unix
 # and Linux systems.
@@ -121,6 +125,7 @@
 X11_LIBS := $(X11_LIB_DIRS) -Wl,-Bstatic -lXxf86vm -Wl,-Bdynamic -lX11 -lXext
 
 XNVCTRL_LIB := src/libXNVCtrl/libXNVCtrl.a
+XNVCTRL_DIR := src/libXNVCtrl
 
 XF86PARSER_LIB := src/XF86Config-parser/libXF86Config-parser.a
 XF86PARSER_DIR := src/XF86Config-parser
@@ -234,12 +239,15 @@
 $(XF86PARSER_LIB):
 	$(MAKE) NV_CFLAGS='$(NV_CFLAGS)' -C $(XF86PARSER_DIR)
 
+$(XNVCTRL_LIB):
+	$(MAKE) CFLAGS='$(ALL_CFLAGS)' LDFLAGS='$(ALL_LDFLAGS)' -C $(XNVCTRL_DIR)
+
 $(NVIDIA_SETTINGS): $(OBJS) $(XNVCTRL_LIB) $(XF86PARSER_LIB)
 	$(CC) $(OBJS) $(ALL_CFLAGS) $(ALL_LDFLAGS) $(XNVCTRL_LIB) $(XF86PARSER_LIB) -o $@
 
 .PHONY: $(XF86PARSER_LIB) dist clean clobber
 
-dist:
+dist: $(XNVCTRL_LIB)
 	@ if [ -d $(NVIDIA_SETTINGS_DISTDIR) ]; then \
 		chmod 755 $(NVIDIA_SETTINGS_DISTDIR); \
 	fi
@@ -262,7 +270,7 @@
 	rm -rf $(NVIDIA_SETTINGS_DISTDIR)
 
 clean clobber:
-	rm -rf $(OBJS_DIR) $(DEPS_DIR) $(STAMP_C) $(NVIDIA_SETTINGS)
+	rm -rf $(OBJS_DIR) $(DEPS_DIR) $(STAMP_C) $(NVIDIA_SETTINGS) $(XNVCTRL_LIB)
 	find . -name "*~" -exec rm -f \{\} \;
 
 -include $(DEPS)
