## nvidia-settings 195.36.24

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,3 @@
-DESTDIR=
-ROOT=$(DESTDIR)
-X11R6_LIB_DIR = /usr/lib
-
 #
 # nvidia-settings: A tool for configuring the NVIDIA X driver on Unix
 # and Linux systems.
