=== debian/changelog ===
nvidia-settings (195.36.24-1) unstable; urgency=low

  * New upstream release.
  * Remove 05_remove_X_XF86VidModeGetGammaRampSize_checks.diff - stolen
    upstream
  * Add myself to Uploaders field.

 -- Fathi Boudra <fabo@debian.org>  Tue, 18 May 2010 10:49:55 +0300

nvidia-settings (190.53-1) unstable; urgency=low

  * New upstream release (closes: #564792)

  [ Fathi Boudra ]
  * Ship nv-control-dpy binary with nvidia-settings package
    (closes: #564654)
  * Add 05_remove_X_XF86VidModeGetGammaRampSize_checks.diff:
    The protocol defines were moved to a different header in recent versions of
    the XF86VidMode protocol packages, which breaks the build.
  * Update debian/control:
    - Bump debhelper version to 7.4.13
    - Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed)
  * Update debian/copyright: add myself to packaging copyright
  * Update debian/nvidia-settings.install: add nvidia-control-dpy
  * Update debian/rules:
    - Enable parallel build (pass --parallel option to dh)
    - Build samples to ship nv-control-dpy binary
    - Add override_dh_installexamples to avoid built samples binaries install

 -- Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>  Wed, 17 Feb 2010 10:27:28 +0100

nvidia-settings (190.42-1) unstable; urgency=low

  * New upstream release (closes: #561143)

  [ Fathi Boudra ]
  * Switch to dpkg-source 3.0 (quilt) format
    - Remove quilt build dependency
    - Remove debian/README.source file
    - Remove quilt option to dh
  * Document patches with DEP-3
  * Add 04_add_missing_linked_library.diff to fix FTBFS with binutils-gold
    (closes: #556755)

 -- Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>  Wed, 06 Jan 2010 11:09:53 +0100

nvidia-settings (185.18.31-1) unstable; urgency=low

  * New upstream release

  [ Fathi Boudra ]
  * Update debian/control:
    - Bump Standards-Version from 3.8.2 to 3.8.3
  * Add debian/README.source file

 -- Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>  Sat, 22 Aug 2009 09:18:50 +0200

nvidia-settings (185.18.14-2) unstable; urgency=low

  [ Fathi Boudra ]
  * Clean XF86Config-parser directory (closes: 494456)
  * Fix some glitches on the desktop file

 -- Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>  Mon, 27 Jul 2009 09:29:21 +0200

nvidia-settings (185.18.14-1) unstable; urgency=low

  * New upstream release

  [ Fathi Boudra ]
  * Add patches:
    - 00_destdir.diff
      Define DESTDIR, ROOT and X11R6_LIB_DIR variables in the Makefile
    - 01_allow_dark_themes.diff
      Allow nvidia-settings to work with dark backgrounds - Merged from Ubuntu
    - 02_fix_manpage_type.diff
      Fix typo in nvidia-settings manpage (closes: #409589)
    - 03_build_xnvctrl_with_fpic.diff
      Build xnvctrl with -fPIC (closes: #494526)
  * Bump debian/compat from 4 to 7
  * Update debian/control:
    - Add quilt build dependency
    - Remove xutils build dependency
    - Replace xlibmesa-gl-dev by libgl1-mesa-dev build dependency
    - Bump debhelper version from 4.0.0 to 7.2
    - Bump Standards-Version from 3.6.2 to 3.8.2
    - Remove nvidia-glx recommends
  * Update debian/copyright: add some missing copyrights.
  * Update debian/docs: nvidia-settings-user-guide.txt is removed from source
  * Update debian/menu: update section to follow Debian menu policy 2.1
  * Add debian/nvidia-settings.desktop and uuencoded nvidia-settings.png files
    (closes: #317993)
  * Add debian/nvidia-settings.install to install the desktop file and
    NVCtrl related files
  * Add debian/nvidia-settings.manpages file
  * Rewrite debian/rules and use dh feature from debhelper >= 7.2

 -- Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>  Sat, 25 Jul 2009 13:16:52 +0200

nvidia-settings (180.22-1) unstable; urgency=low

  * New upstream release

 -- Randall Donald <rdonald@debian.org>  Sat, 10 Jan 2009 21:42:18 -0800

nvidia-settings (173.14.09-1) unstable; urgency=low

  * New upstream release

 -- Randall Donald <rdonald@debian.org>  Tue, 24 Jun 2008 10:41:09 -0700

nvidia-settings (169.07-1) unstable; urgency=low

  * New upstream release
  * reinclude nvctrl headers (closes: #434885)
  * depend on nvidia-glx (169.07). there are legacy versions now too.

 -- Randall Donald <rdonald@debian.org>  Sun, 23 Dec 2007 17:07:10 -0800

nvidia-settings (1.0+20070502-1) unstable; urgency=low

  * New upstream release.

 -- Randall Donald <rdonald@debian.org>  Sat, 12 May 2007 14:34:59 -0700

nvidia-settings (1.0+20060919-1) unstable; urgency=low

  * New upstream release (20060919)
  * include /usr/lib/libXNVCtrl.a (closes: #375191)

 -- Randall Donald <rdonald@debian.org>  Sat,  7 Oct 2006 14:31:44 -0700

nvidia-settings (1.0+20060516-1) unstable; urgency=low

  * add build depend on m4. (closes: #369661)
  * New upstream (nvidia-settings-1.0.tar.gz 05/16/06 )

 -- Randall Donald <rdonald@debian.org>  Fri,  2 Jun 2006 23:21:01 -0700

nvidia-settings (1.0+20060404-1) unstable; urgency=low

  * New upstream (nvidia-settings-1.0.tar.gz  04/04/06)
  * fix for xorg7 (closes: #366243)

 -- Randall Donald <rdonald@debian.org>  Wed, 17 May 2006 19:21:28 -0700

nvidia-settings (1.0+20051122-1) unstable; urgency=low

  * New upstream. (nvidia-settings-1.0-11-22-05.tar.gz) 

 -- Randall Donald <rdonald@debian.org>  Wed, 28 Dec 2005 14:10:15 -0800

nvidia-settings (1.0+20050729-1) unstable; urgency=low

  * New upstream.
  * update standards version: 3.6.2
  * correct fsf address

 -- Randall Donald <rdonald@debian.org>  Mon,  7 Nov 2005 10:54:24 -0800

nvidia-settings (1.0+20050525-2.2) unstable; urgency=low

  * Non-maintainer upload
  * corrected X11R6_LIB_DIR for x86_64 (closes: #321295, #327337)

 -- tony mancill <tmancill@debian.org>  Fri, 30 Sep 2005 08:44:56 -0700

nvidia-settings (1.0+20050525-2.1) unstable; urgency=low

  * Non-maintainer upload
  * adds build-depends on libxv-dev (closes: #324594)


