=== debian/control ===
Source: nvidia-settings
Section: contrib/x11
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Randall Donald <rdonald@debian.org>
Build-Depends: debhelper (>= 7.4.13), sharutils, m4, libgtk2.0-dev,
 libgl1-mesa-dev | libgl-dev, libxext-dev, libxrandr-dev, libxv-dev,
 libxxf86vm-dev
Standards-Version: 3.8.4

Package: nvidia-settings
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:  Tool for configuring the NVIDIA graphics driver
 The nvidia-settings utility is a tool for configuring the NVIDIA
 Linux graphics driver.  It operates by communicating with the NVIDIA
 X driver, querying and updating state as appropriate.  This
 communication is done with the NV-CONTROL X extension.
 .
 Values such as brightness and gamma, XVideo attributes, temperature,
 and OpenGL settings can be queried and configured via nvidia-settings.
