=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --parallel $@

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C samples
	uudecode debian/nvidia-settings.png.uue -o debian/nvidia-settings.png

override_dh_clean:
	dh_clean debian/nvidia-settings.png
	[ ! -f src/XF86Config-parser/Makefile ] || $(MAKE) -C src/XF86Config-parser clean
	[ ! -f samples/Makefile ] || $(MAKE) -C samples clean

override_dh_installexamples:
	[ ! -f samples/Makefile ] || $(MAKE) -C samples clean
	dh_installexamples

override_dh_compress:
	dh_compress --exclude=.c --exclude=.txt

.PHONY: override_dh_auto_test
